import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { PageHomeComponent } from './page-home/page-home.component';
import { PageGameComponent } from './page-game/page-game.component';
import { PageMineComponent } from './page-mine/page-mine.component';
import { PageAiComponent } from './page-ai/page-ai.component';
import { LoginPageComponent } from './login-page/login-page.component';
import { EnrollPageComponent } from './enroll-page/enroll-page.component';
import { ArticleOneComponent } from './articleone/articleone.component';
import { ArticleTwoComponent } from './articletwo/articletwo.component';
import { ArticlethreeComponent } from './articlethree/articlethree.component';
import { ArticlefourComponent } from './articlefour/articlefour.component';
import { ArticlefiveComponent } from './articlefive/articlefive.component';
import { ArticlesixComponent } from './articlesix/articlesix.component';
import { ArticlesevenComponent } from './articleseven/articleseven.component';




const routes: Routes = [
  {path:"",component:PageHomeComponent},
  {path:"home",component:PageHomeComponent},
  {path:"game",component:PageGameComponent},
  {path:"ai",component:PageAiComponent},
  {path:"mine",component:PageMineComponent},
  { path: 'login', component: LoginPageComponent },
  { path: 'enroll', component: EnrollPageComponent },
  { path: 'article/1', component: ArticleOneComponent },
  { path: 'article/2', component: ArticleTwoComponent },
  { path: 'article/3', component: ArticlethreeComponent },
  { path: 'article/4', component: ArticlefourComponent },
  { path: 'article/5', component: ArticlefiveComponent },
  { path: 'article/6', component: ArticlesixComponent },
  { path: 'article/7', component: ArticlesevenComponent },
  {
    path: 'aigc',
    loadChildren: () => import('../modules/aigc/aigc.module').then(m => m.AigcModule)
  }
  
  

  // {path:"**",component:PageHomeComponent},
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }


