

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { HttpClientModule } from '@angular/common/http';
import { IonicModule } from '@ionic/angular';


import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { PageHomeComponent } from './page-home/page-home.component';
import { PageGameComponent } from './page-game/page-game.component';
import { PageMineComponent } from './page-mine/page-mine.component';
import { PageAiComponent } from './page-ai/page-ai.component';
import { LoginPageComponent } from './login-page/login-page.component';
import { EnrollPageComponent } from './enroll-page/enroll-page.component';
import { ArticleOneComponent } from './articleone/articleone.component';
import { ArticleTwoComponent } from './articletwo/articletwo.component';
import { ArticlethreeComponent } from './articlethree/articlethree.component';
import { ArticlefourComponent } from './articlefour/articlefour.component';
import { ArticlefiveComponent } from './articlefive/articlefive.component';
import { ArticlesixComponent } from './articlesix/articlesix.component';
import { ArticlesevenComponent } from './articleseven/articleseven.component';

import { FormsModule } from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';
import { TestComponent } from './test/test.component';

// 引入Parse第三方库
import * as Parse from "parse"
(Parse as any).serverURL = "https://web2023.fmode.cn/parse"
Parse.initialize("dev")







@NgModule({
  declarations: [
    AppComponent,
    PageHomeComponent,
    PageGameComponent,
    PageMineComponent,
    PageAiComponent,
    LoginPageComponent,
    EnrollPageComponent,
    ArticleOneComponent,
    ArticleTwoComponent,
    ArticlethreeComponent,
    ArticlefourComponent,
    ArticlefiveComponent,
    ArticlesixComponent,
    ArticlesevenComponent,
    TestComponent,
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    IonicModule.forRoot({mode:"ios"}),
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,


  
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }

